앨리스의 토끼

javahawk.egloos.com

포토로그 방명록


최근 포토로그


[eclipse]Tomcat 서버 설치 후 API기반의 Apache Tomcat Native 라이브러리 문제해결 by Kircheis

이클립스에서 서버 실행 시 아래와 같은 문구 확인되면

"apr 기반의 apache tomcat native 라이브러리가 호환되지 않는 버전 ~~~~"

다음 사이트에서 맞는 버전의 binaries 중 하나를 다운받는다.



내 경우에는 tomcat-native-1.2.30-openssl-1.1.1k-win32-bin.zip을 받았다.

win32로 표기되어 있으나, 내부에 x64도 포함되어 있다.

압축을 풀고 안의 bin 폴더에 있는 tcnative-1.dll 파일을 복사

물론 64비트라면 x64에 있는 것을 사용.

java의 jre/bin 폴더에 붙여넣기하고,

tomcat 설치 폴더의 /bin 폴더에도 붙여넣어준다.

다시 서버 실행하면....


덧글

댓글 입력 영역



메모장